%define package sogo-addons
%define version 31.0.4
%define release 1

Name:		wpkg-%{package}
Version:	%{version}
Release:	%{release}%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos
BuildRequires:  e-smith-devtools

Requires:	ipasserelle-gp
Requires:	wpkg-thunderbird >= 31.2.0
Requires:	wpkg-thunderbird-config
Requires:	wpkg-7zip

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*
perl ./createlinks

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/thunderbird_addons/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/wpkg/files/
%attr(554, root, root) /etc/e-smith/events/actions/sogo-update-addons
/etc
/usr

%changelog
* Wed May 17 2017 Daniel Berteaud <daniel@firewall-services.com> 31.0.4-1
- Update to 31.0.4

* Tue May 17 2016 Daniel Berteaud <daniel@firewall-services.com> 31.0.3-1
- Update to 31.0.3

* Mon Nov 23 2015 Daniel Berteaud <daniel@firewall-services.com> 31.0.2-1
- Update to 31.0.2

* Mon Feb 2 2015 Daniel Berteaud <daniel@firewall-services.com> 31.0.1-1
- Update to 31.0.1

* Wed Oct 15 2014 Daniel Berteaud <daniel@firewall-services.com> 31.0.0-1
- Update to 31.0.0

* Wed Sep 3 2014 Daniel Berteaud <daniel@firewall-services.com> 24.0.6-1
- Update to 24.0.6

* Wed Jul 23 2014 Daniel Berteaud <daniel@firewall-services.com> 24.0.5-1
- Update to 24.0.5

* Wed Mar 12 2014 Daniel Berteaud <daniel@firewall-services.com> 24.0.4-2
- Use full path to the db command so it also work during bootstrap-console-save

* Tue Feb 25 2014 Daniel Berteaud <daniel@firewall-services.com> 24.0.4-1
- update to 24.0.4

* Thu Nov 28 2013 Daniel Berteaud <daniel@firewall-services.com> 24.0.3-1
- update integrator to 24.0.3

* Mon Nov 25 2013 Daniel Berteaud <daniel@firewall-services.com> 24.0.2-1
- upgrade to 24.0.2

* Wed Nov 20 2013 Daniel Berteaud <daniel@firewall-services.com> 24.0.1-1
- update to 24.0.1

* Mon Oct 14 2013 Daniel Berteaud <daniel@firewall-services.com> 24.0-1
- update to 24.0
- Fix directory lookups

* Wed May 29 2013 Daniel Berteaud <daniel@firewall-services.com> 17.0.5-2
- Remove custom prefs which points to sogo-demo

* Wed May 15 2013 Daniel Berteaud <daniel@firewall-services.com> 17.0.5-1
- update to 17.0.5

* Tue Apr 16 2013 Daniel Berteaud <daniel@firewall-services.com> 17.0.4-1
- update to 17.0.4

* Mon Dec 10 2012 Daniel Berteaud <daniel@firewall-services.com> 17.0.3-1
- update to version 17.0.3

* Fri Sep 14 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-6
- Remove startupmaster as it's not working as expected

* Fri Sep 14 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-5
- Fix startupmaster version check

* Wed Sep 12 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-4
- Enhance lightning conf

* Wed Sep 12 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-3
- Add startupmaster extension

* Fri Sep 7 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-2
- Mark the event script as executable

* Thu Sep 6 2012 Daniel Berteaud <daniel@firewall-services.com> 10.0.3-1
- initial release with connector and integrator 10.0.3 (for TB 10 esr)

